Latest 0.3.0
Homepage https://github.com/vicrab/vicrab-cocoa
License MIT
Platforms ios 8.0, osx 10.10, tvos 9.0, watchos 2.0, requires ARC
Frameworks Foundation


This SDK is written in Objective-C but also works for Swift projects.

import Vicrab

func application(application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {

    // Create a Vicrab client and start crash handler
    do {
        Client.shared = try Client(dsn: "___PUBLIC_DSN___")
        try Client.shared?.startCrashHandler()
    } catch let error {
        print("(error)")
        // Wrong DSN or KSCrash not installed
    }

    return true
}

(1)limited symbolication support

vicrab-cocoa

Latest podspec

{
    "name": "Vicrab",
    "version": "0.3.0",
    "summary": "Vicrab client for cocoa",
    "homepage": "https://github.com/vicrab/vicrab-cocoa",
    "license": "MIT",
    "authors": "Vicrab",
    "source": {
        "git": "https://github.com/vicrab/vicrab-cocoa.git",
        "tag": "0.3.0"
    },
    "platforms": {
        "ios": "8.0",
        "osx": "10.10",
        "tvos": "9.0",
        "watchos": "2.0"
    },
    "module_name": "Vicrab",
    "requires_arc": true,
    "frameworks": "Foundation",
    "libraries": [
        "z",
        "c++"
    ],
    "xcconfig": {
        "GCC_ENABLE_CPP_EXCEPTIONS": "YES"
    },
    "default_subspecs": [
        "Core"
    ],
    "subspecs": [
        {
            "name": "Core",
            "source_files": [
                "Sources/Vicrab/**/*.{h,m}",
                "Sources/VicrabCrash/**/*.{h,m,mm,c,cpp}"
            ]
        }
    ]
}

Pin It on Pinterest

Share This